View Issue Details

IDProjectCategoryView StatusLast Update
0004253unrealircdpublic2016-04-03 11:55
ReportergrawityAssigned Tosyzop 
PrioritylowSeverityfeatureReproducibilityalways
Status resolvedResolutionfixed 
Product Version3.2.10.2 
Target VersionFixed in Version4.0.3 
Summary0004253: Send RPL_SASLMECHS to clients
DescriptionWhen a "SASL <etc> M <mechanisms>" message is received from services, it should be forwarded to the client as a RPL_SASLMECHS numeric. Other ircds (Nefarious2 and InspIRCd) do this; Charybdis has a similar patch waiting.

Patch attached.
Steps To ReproduceClient sends "AUTHENTICATE <mech>" for a mechanism that the services do not support, for example "AUTHENTICATE FOOBAR".

Currently, only Atheme services send the "M" messages.
TagsNo tags attached.
3rd party modules

Activities

grawity

2014-01-21 21:45

reporter  

unreal-3.4-sasl-mechs.patch (1,427 bytes)

syzop

2016-04-03 11:47

administrator   ~0019184

Still applicable?

syzop

2016-04-03 11:55

administrator   ~0019185

Guess so. Patch applies cleanly to 4.x as well. Committed.
https://github.com/unrealircd/unrealircd/commit/f95aa13d5bd341e4943047b2a92f5c19fe31e7c6

Issue History

Date Modified Username Field Change
2014-01-21 21:45 grawity New Issue
2014-01-21 21:45 grawity File Added: unreal-3.4-sasl-mechs.patch
2014-03-14 01:14 peterkingalexander Issue cloned: 0004260
2016-04-03 11:47 syzop Note Added: 0019184
2016-04-03 11:55 syzop Note Added: 0019185
2016-04-03 11:55 syzop Status new => resolved
2016-04-03 11:55 syzop Fixed in Version => 4.0.3
2016-04-03 11:55 syzop Resolution open => fixed
2016-04-03 11:55 syzop Assigned To => syzop